#include <iostream>

using namespace std;

int main()
{
    int n,l;
    cin>>n>>l;
    int niz[n];
    bool prosao=true;
    for(int i=0;i<n;i++){
        cin>>niz[i];
    }
    for(int i=0;i<n;i++){
        if(niz[i]<=l){
            cout<<i+1;
            prosao=false;
            break;
        }

    }
    if(prosao)
        cout<<-1;
    return 0;
}